summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-04-28 21:46:02 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-28 21:46:02 +0700
commitdd5d11bed74521424ba51c8aafd243c641d78283 (patch)
tree451e4a29e577009bcabb7a5346cf776767273b71 /games
parent5333dce9f7c0059739036100636aef8377a845df (diff)
downloadslackbuilds-dd5d11bed74521424ba51c8aafd243c641d78283.tar.gz
slackbuilds-dd5d11bed74521424ba51c8aafd243c641d78283.tar.xz
games/yahtzee: Added (well-known dice game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/yahtzee/README7
-rw-r--r--games/yahtzee/slack-desc19
-rw-r--r--games/yahtzee/yahtzee.SlackBuild94
-rw-r--r--games/yahtzee/yahtzee.desktop9
-rw-r--r--games/yahtzee/yahtzee.info10
-rw-r--r--games/yahtzee/yahtzee.pngbin0 -> 18285 bytes
6 files changed, 139 insertions, 0 deletions
diff --git a/games/yahtzee/README b/games/yahtzee/README
new file mode 100644
index 0000000000..438ea0b8f2
--- /dev/null
+++ b/games/yahtzee/README
@@ -0,0 +1,7 @@
+yahtzee (well-known dice game)
+
+Yahtzee game for Linux, with graphical, curses, and plain text user
+interfaces.
+
+The executables are called yahtzee-sdl, yahtzee-curses, and
+yahtzee-text. In any of them, press ? for instructions.
diff --git a/games/yahtzee/slack-desc b/games/yahtzee/slack-desc
new file mode 100644
index 0000000000..3a9d41b287
--- /dev/null
+++ b/games/yahtzee/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+yahtzee: yahtzee (well-known dice game)
+yahtzee:
+yahtzee: Yahtzee game for Linux, with graphical, curses, and plain text user
+yahtzee: interfaces.
+yahtzee:
+yahtzee: The executables are called yahtzee-sdl, yahtzee-curses, and
+yahtzee: yahtzee-text. In any of them, press ? for instructions.
+yahtzee:
+yahtzee:
+yahtzee:
+yahtzee:
diff --git a/games/yahtzee/yahtzee.SlackBuild b/games/yahtzee/yahtzee.SlackBuild
new file mode 100644
index 0000000000..b03172860b
--- /dev/null
+++ b/games/yahtzee/yahtzee.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for yahtzee
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=yahtzee
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# By default, the Makefile builds one binary with the dumb, curses, and SDL
+# UIs. It tries to init SDL, then falls back on curses... unfortunately on a
+# lot of Slackware machines, trying to init SDL in the console just causes
+# the video card to lock up. We'll build separate binaries to avoid this,
+# and also to let us play the curses or text version in an X terminal if
+# we want.
+
+sed '/SDL/,/^$/s,^,#,' Makefile > Makefile.curses
+sed '/curses/,/SDL/s,^,#,' Makefile.curses > Makefile.text
+sed '/curses/,/SDL/s,^,#,' Makefile > Makefile.sdl
+
+mkdir -p $PKG/usr/games
+
+for ui in sdl curses text; do
+ rm -f *.o $PRGNAM # Makefile has no 'make clean'
+ make -f Makefile.$ui
+ install -s $PRGNAM $PKG/usr/games/$PRGNAM-$ui
+done
+
+# icon came from:
+# http://www.iconarchive.com/show/mahjong-icons-by-jommans/Trash-Full-Dice-icon.html
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# .desktop file written for this build
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# no man page, as there are no command line options.
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/yahtzee/yahtzee.desktop b/games/yahtzee/yahtzee.desktop
new file mode 100644
index 0000000000..d9283b8615
--- /dev/null
+++ b/games/yahtzee/yahtzee.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Name=Yahtzee
+GenericName=Yahtzee
+Comment=Yahtzee dice/board game
+Exec=yahtzee-sdl
+Icon=yahtzee
+Terminal=false
+Categories=Game;BoardGame;
diff --git a/games/yahtzee/yahtzee.info b/games/yahtzee/yahtzee.info
new file mode 100644
index 0000000000..d71b3c0d74
--- /dev/null
+++ b/games/yahtzee/yahtzee.info
@@ -0,0 +1,10 @@
+PRGNAM="yahtzee"
+VERSION="1.4"
+HOMEPAGE="http://www.muppetlabs.com/~breadbox/software/yahtzee.html"
+DOWNLOAD="http://www.muppetlabs.com/~breadbox/pub/software/yahtzee-1.4.tar.gz"
+MD5SUM="6d378ea9aa942bf4bdc707c044b1e32c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/yahtzee/yahtzee.png b/games/yahtzee/yahtzee.png
new file mode 100644
index 0000000000..4d41fbf51d
--- /dev/null
+++ b/games/yahtzee/yahtzee.png
Binary files differ